
#include <SoftwareSerial.h>

#define tmpSensor A7
#define ledPin 8

int temperature = 0;
int sensorData = 0;
const int rx=0;
const int tx=1;
SoftwareSerial mySerial(rx,tx);

void setup() {
  // put your setup code here, to run once:
  pinMode(ledPin, OUTPUT);
  mySerial.begin(9600);
}

void loop() {
  digitalWrite(ledPin, HIGH);
  sensorData = analogRead(tmpSensor);  // read the input pin
  temperature = (1024000-(sensorData*2000)) / ((3.75*sensorData)-3840);
  mySerial.println(temperature);
  delay(1000);
}
